A pyobjc built on 10.7 fails to load libobjc.dylib on 10.6, because 10.6 libobjc is missing some symbols - _objc_allocateProtocol is the first one it complains about.

So, to ship an app with pyobjc that will run on 10.6 and 10.7, what's the best route?

I guess building pyobjc on 10.6 should work, but ideally it'd be possible to build this pyobjc on 10.7.

I recently tried building pyobjc with MACOSX_DEPLOYMENT_TARGET=10.6, and found a mismatch. It seems like the correct way is to also build python with that variable set. 

Is that everything, or are there any gotcha's I'm missing?

Thanks,
-mike